Online Training Spring Hibernate Training in Delhi R Programming Training Course Big Data and Hadoop Training Java Training  
 

How to install gtk-doc-tools package in Ubuntu?

Ads

 
 

Share on Google+Share on Google+

Java Coder
How to install gtk-doc-tools package in Ubuntu?
2 Answer(s)      a year and 4 months ago
Posted in : Java Beginners

How to install gtk-doc-tools package in Ubuntu?

Thanks

Ads
View Answers

March 26, 2016 at 11:05 PM


In this post I will explain you how to install this package on Ubuntu?

To install gtk-doc-tools package on Ubuntu you can open the terminal and then type following command: apt-get install gtk-doc-tools

Here is the full description of the install process:

[email protected]:~$ sudo apt-get install gtk-doc-tools
[sudo] password for deepak1: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  autoconf autoconf-archive automake autopoint autotools-dev docbook
  docbook-dsssl docbook-to-man docbook-xml docbook-xsl gnome-common intltool
  jade libltdl-dev libsigsegv2 libsp1c2 libtool m4 sgml-data sp xsltproc
Suggested packages:
  gnu-standards autoconf-doc docbook-defguide psgml jadetex docbook-dsssl-doc
  dbtoepub docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text
  docbook-xsl-doc docbook-xsl-saxon fop libsaxon-java libxalan2-java
  libxslthl-java xalan dblatex libtool-doc automaken gfortran
  fortran95-compiler gcj-jdk perlsgml w3-recs opensp libxml2-utils
The following NEW packages will be installed:
  autoconf autoconf-archive automake autopoint autotools-dev docbook
  docbook-dsssl docbook-to-man docbook-xml docbook-xsl gnome-common
  gtk-doc-tools intltool jade libltdl-dev libsigsegv2 libsp1c2 libtool m4
  sgml-data sp xsltproc
0 upgraded, 22 newly installed, 0 to remove and 3 not upgraded.
Need to get 7,168 kB of archives.
After this operation, 45.3 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://in.archive.ubuntu.com/ubuntu/ wily/main autoconf-archive all 20150224-2.1 [629 kB]
Get:2 http://in.archive.ubuntu.com/ubuntu/ wily/main libsigsegv2 amd64 2.10-4 [14.1 kB]
Get:3 http://in.archive.ubuntu.com/ubuntu/ wily/main m4 amd64 1.4.17-4 [193 kB]
Get:4 http://in.archive.ubuntu.com/ubuntu/ wily/main autoconf all 2.69-8 [321 kB]
Get:5 http://in.archive.ubuntu.com/ubuntu/ wily/main autotools-dev all 20140911.1 [39.6 kB]
Get:6 http://in.archive.ubuntu.com/ubuntu/ wily/main automake all 1:1.15-1ubuntu1 [511 kB]
Get:7 http://in.archive.ubuntu.com/ubuntu/ wily/main autopoint all 0.19.4-1ubuntu3 [390 kB]
Get:8 http://in.archive.ubuntu.com/ubuntu/ wily/main sgml-data all 2.0.10 [173 kB]
Get:9 http://in.archive.ubuntu.com/ubuntu/ wily/main docbook all 4.5-5.1ubuntu1 [443 kB]
Get:10 http://in.archive.ubuntu.com/ubuntu/ wily/main libsp1c2 amd64 1.3.4-1.2.1-47.3ubuntu1 [1,026 kB]
Get:11 http://in.archive.ubuntu.com/ubuntu/ wily/main jade amd64 1.2.1-47.3ubuntu1 [223 kB]
Get:12 http://in.archive.ubuntu.com/ubuntu/ wily/main docbook-xml all 4.5-7.3 [74.4 kB]
Get:13 http://in.archive.ubuntu.com/ubuntu/ wily/main docbook-dsssl all 1.79-8ubuntu1 [218 kB]
Get:14 http://in.archive.ubuntu.com/ubuntu/ wily/main sp amd64 1.3.4-1.2.1-47.3ubuntu1 [124 kB]
Get:15 http://in.archive.ubuntu.com/ubuntu/ wily/main docbook-to-man amd64 1:2.0.0-34 [73.3 kB]
Get:16 http://in.archive.ubuntu.com/ubuntu/ wily/main docbook-xsl all 1.78.1+dfsg-1 [2,146 kB]
Get:17 http://in.archive.ubuntu.com/ubuntu/ wily/main libtool all 2.4.2-1.11 [180 kB]
Get:18 http://in.archive.ubuntu.com/ubuntu/ wily/main intltool all 0.51.0-1 [44.7 kB]
Get:19 http://in.archive.ubuntu.com/ubuntu/ wily/main gnome-common all 3.14.0-2 [13.2 kB]
Get:20 http://in.archive.ubuntu.com/ubuntu/ wily/main xsltproc amd64 1.1.28-2build2 [13.9 kB]
Get:21 http://in.archive.ubuntu.com/ubuntu/ wily/main gtk-doc-tools all 1.24-1ubuntu1 [158 kB]
Get:22 http://in.archive.ubuntu.com/ubuntu/ wily/main libltdl-dev amd64 2.4.2-1.11 [158 kB]
Fetched 7,168 kB in 57s (125 kB/s)                                             
Selecting previously unselected package autoconf-archive.
(Reading database ... 177124 files and directories currently installed.)
Preparing to unpack .../autoconf-archive_20150224-2.1_all.deb ...
Unpacking autoconf-archive (20150224-2.1) ...
Selecting previously unselected package libsigsegv2:amd64.
Preparing to unpack .../libsigsegv2_2.10-4_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.10-4) ...
Selecting previously unselected package m4.
Preparing to unpack .../archives/m4_1.4.17-4_amd64.deb ...
Unpacking m4 (1.4.17-4) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../autoconf_2.69-8_all.deb ...
Unpacking autoconf (2.69-8) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../autotools-dev_20140911.1_all.deb ...
Unpacking autotools-dev (20140911.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../automake_1%3a1.15-1ubuntu1_all.deb ...
Unpacking automake (1:1.15-1ubuntu1) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../autopoint_0.19.4-1ubuntu3_all.deb ...
Unpacking autopoint (0.19.4-1ubuntu3) ...
Selecting previously unselected package sgml-data.
Preparing to unpack .../sgml-data_2.0.10_all.deb ...
Unpacking sgml-data (2.0.10) ...
Selecting previously unselected package docbook.
Preparing to unpack .../docbook_4.5-5.1ubuntu1_all.deb ...
Unpacking docbook (4.5-5.1ubuntu1) ...
Selecting previously unselected package libsp1c2.
Preparing to unpack .../libsp1c2_1.3.4-1.2.1-47.3ubuntu1_amd64.deb ...
Unpacking libsp1c2 (1.3.4-1.2.1-47.3ubuntu1) ...
Selecting previously unselected package jade.
Preparing to unpack .../jade_1.2.1-47.3ubuntu1_amd64.deb ...
Unpacking jade (1.2.1-47.3ubuntu1) ...
Selecting previously unselected package docbook-xml.
Preparing to unpack .../docbook-xml_4.5-7.3_all.deb ...
Unpacking docbook-xml (4.5-7.3) ...
Selecting previously unselected package docbook-dsssl.
Preparing to unpack .../docbook-dsssl_1.79-8ubuntu1_all.deb ...
Unpacking docbook-dsssl (1.79-8ubuntu1) ...
Selecting previously unselected package sp.
Preparing to unpack .../sp_1.3.4-1.2.1-47.3ubuntu1_amd64.deb ...
Unpacking sp (1.3.4-1.2.1-47.3ubuntu1) ...
Selecting previously unselected package docbook-to-man.
Preparing to unpack .../docbook-to-man_1%3a2.0.0-34_amd64.deb ...
Unpacking docbook-to-man (1:2.0.0-34) ...
Selecting previously unselected package docbook-xsl.
Preparing to unpack .../docbook-xsl_1.78.1+dfsg-1_all.deb ...
Unpacking docbook-xsl (1.78.1+dfsg-1) ...
Selecting previously unselected package libtool.
Preparing to unpack .../libtool_2.4.2-1.11_all.deb ...
Unpacking libtool (2.4.2-1.11) ...
Selecting previously unselected package intltool.
Preparing to unpack .../intltool_0.51.0-1_all.deb ...
Unpacking intltool (0.51.0-1) ...
Selecting previously unselected package gnome-common.
Preparing to unpack .../gnome-common_3.14.0-2_all.deb ...
Unpacking gnome-common (3.14.0-2) ...
Selecting previously unselected package xsltproc.
Preparing to unpack .../xsltproc_1.1.28-2build2_amd64.deb ...
Unpacking xsltproc (1.1.28-2build2) ...
Selecting previously unselected package gtk-doc-tools.
Preparing to unpack .../gtk-doc-tools_1.24-1ubuntu1_all.deb ...
Unpacking gtk-doc-tools (1.24-1ubuntu1) ...
Selecting previously unselected package libltdl-dev:amd64.
Preparing to unpack .../libltdl-dev_2.4.2-1.11_amd64.deb ...
Unpacking libltdl-dev:amd64 (2.4.2-1.11) ...
Processing triggers for doc-base (0.10.6) ...
Processing 4 added doc-base files...
Processing triggers for install-info (6.0.0.dfsg.1-3) ...
Processing triggers for man-db (2.7.4-1) ...
Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
Setting up autoconf-archive (20150224-2.1) ...
Setting up libsigsegv2:amd64 (2.10-4) ...
Setting up m4 (1.4.17-4) ...
Setting up autoconf (2.69-8) ...
Setting up autotools-dev (20140911.1) ...
Setting up automake (1:1.15-1ubuntu1) ...
update-alternatives: using /usr/bin/automake-1.15 to provide /usr/bin/automake (automake) in auto mode
Setting up autopoint (0.19.4-1ubuntu3) ...
Setting up sgml-data (2.0.10) ...
Setting up libsp1c2 (1.3.4-1.2.1-47.3ubuntu1) ...
Setting up jade (1.2.1-47.3ubuntu1) ...
Setting up sp (1.3.4-1.2.1-47.3ubuntu1) ...
Setting up docbook-xsl (1.78.1+dfsg-1) ...
Setting up libtool (2.4.2-1.11) ...
Setting up intltool (0.51.0-1) ...
Setting up gnome-common (3.14.0-2) ...
Setting up xsltproc (1.1.28-2build2) ...
Setting up libltdl-dev:amd64 (2.4.2-1.11) ...
Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
Setting up docbook-xml (4.5-7.3) ...
Setting up docbook (4.5-5.1ubuntu1) ...
Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
Setting up docbook-to-man (1:2.0.0-34) ...
Setting up docbook-dsssl (1.79-8ubuntu1) ...
Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
Setting up gtk-doc-tools (1.24-1ubuntu1) ...
Processing triggers for libc-bin (2.21-0ubuntu4.1) ...
[email protected]:~$

Thanks



March 27, 2016 at 4:58 AM


Following Video tutorials shows you the complete steps to install gtk doc tools on Ubunut:

Thanks


Ads